[jira] Created: (MAVEN-1605) If id is being deprecated and not in Maven 2.0, how do I add jar files that do not have version numbers

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[jira] Created: (MAVEN-1605) If id is being deprecated and not in Maven 2.0, how do I add jar files that do not have version numbers

JIRA jira@codehaus.org
If id is being deprecated and not in Maven 2.0, how do I add jar files that do not have version numbers
-------------------------------------------------------------------------------------------------------

         Key: MAVEN-1605
         URL: http://jira.codehaus.org/browse/MAVEN-1605
     Project: maven
        Type: Task
  Components: plugin manager  
    Versions: 1.0.2    
    Reporter: Henry A. Hamilton


I would like to add jar files in the my dependencies clause and need t be able to add jar files that do not have a -version number in it. I currently use <id> </id> <jar> </jar> to include them in my POM. But if <id> is going deprecated, how will I be able to add a dependency jar file like servlet.jar in my POM. I can not use groupID and artifactID to include this dependency.

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[jira] Closed: (MAVEN-1605) If id is being deprecated and not in Maven 2.0, how do I add jar files that do not have version numbers

JIRA jira@codehaus.org
     [ http://jira.codehaus.org/browse/MAVEN-1605?page=all ]
     
Brett Porter closed MAVEN-1605:
-------------------------------

    Resolution: Won't Fix

please, you shouldn't use JIRA to ask questions - ask on the user's list, and if you feel an enhancement request is necessary, file it here.

As for your query: id = servlet is the same as groupId = servlet + artifactId = servlet so no loss there.

As for <jar/>, this causes features in Maven 2.0 not to work. Therefore, versions are mandatory. The repository is Maven's private cache area, so it is entitled to name the JARs as it sees fit to operate correctly. When you put the resulting JARs into your webapps, etc, you should have the flexibility to name them as you wish (though we recommend the default).

You can use a version of UNVERSIONED or something if you really want to, but I strongly recommend using something recognisable (eg, 2.3 or 2.4 for the servlet API)


> If id is being deprecated and not in Maven 2.0, how do I add jar files that do not have version numbers
> -------------------------------------------------------------------------------------------------------
>
>          Key: MAVEN-1605
>          URL: http://jira.codehaus.org/browse/MAVEN-1605
>      Project: maven
>         Type: Task
>   Components: plugin manager
>     Versions: 1.0.2
>     Reporter: Henry A. Hamilton

>
>
> I would like to add jar files in the my dependencies clause and need t be able to add jar files that do not have a -version number in it. I currently use <id> </id> <jar> </jar> to include them in my POM. But if <id> is going deprecated, how will I be able to add a dependency jar file like servlet.jar in my POM. I can not use groupID and artifactID to include this dependency.

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]